XPlanner

Docs

List workspaces

Lists the workspaces that the API key can access. selected workspace switches see only allowed workspaces.


GET

/workspaces

workspaces:read

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Access behavior

all

all access

If the switch is open to all workspaces, active workspaces that the user can access are returned.

selected

narrow access

If the key is limited to selected workspaces, only records in workspaceIds are returned.

Cevaplar

200

Permitted work areas.

cURL

curl https://api.xplanner.co/v1/workspaces \  -H "Authorization: Bearer $XPLANNER_API_KEY"

Cevap

{  "data": [    {      "id": "wrk_123",      "name": "XPlanner",      "slug": "xplanner",      "createdAt": "2026-01-10T12:00:00.000Z",      "updatedAt": "2026-05-15T08:30:00.000Z"    }  ],  "requestId": "req_123"}